org.modeshape.jcr.spi.index

## Interface IndexDefinitionTemplate

- All Superinterfaces:
    IndexDefinition, Iterable<IndexColumnDefinition>

      public interface IndexDefinitionTemplate
      extends IndexDefinition

  A mutable form of the `IndexDefinition`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.modeshape.jcr.spi.index.IndexDefinition

      `IndexDefinition.IndexKind`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()` Get the name of this index.
    `String` | `getProviderName()` Get the name of the provider that owns this index.
    `IndexDefinitionTemplate` | `setColumnDefinitions(Iterable<? extends IndexColumnDefinition> columnDefinitions)` Set the definitions for this index's columns
    `IndexDefinitionTemplate` | `setDescription(String description)` Set the description for this index.
    `IndexDefinitionTemplate` | `setKind(IndexDefinition.IndexKind kind)` Set the kind of this index.
    `IndexDefinitionTemplate` | `setName(String name)` Set the name of the index.
    `IndexDefinitionTemplate` | `setNodeTypeName(Name name)` Set the name of the node type for which this index applies.
    `IndexDefinitionTemplate` | `setProviderName(String providerName)` Set the name of the `provider` that owns this index.

    - ### Methods inherited from interface org.modeshape.jcr.spi.index.IndexDefinition

      `getDescription, getKind, getNodeTypeName, getProperties, getProperty, hasSingleColumn, isEnabled`

    - ### Methods inherited from interface java.lang.Iterable

      `iterator`

- - ### Method Detail

    - #### getName

          String getName()

      Get the name of this index.
      Specified by:
        `getName` in interface `IndexDefinition`
      Returns:
        the name of this index; null if the value has not yet been set on this template

    - #### getProviderName

          String getProviderName()

      Get the name of the provider that owns this index.
      Specified by:
        `getProviderName` in interface `IndexDefinition`
      Returns:
        the provider name; null if the value has not yet been set on this template

    - #### setName

          IndexDefinitionTemplate setName(String name)

      Set the name of the index.
      Parameters:
        `name` - the index name; may not be null
      Returns:
        this instance for method chaining; never null

    - #### setProviderName

          IndexDefinitionTemplate setProviderName(String providerName)

      Set the name of the `provider` that owns this index.
      Parameters:
        `providerName` - the provider's name; may not be null
      Returns:
        this instance for method chaining; never null

    - #### setKind

          IndexDefinitionTemplate setKind(IndexDefinition.IndexKind kind)

      Set the kind of this index.
      Parameters:
        `kind` - the kind; may not be null
      Returns:
        this instance for method chaining; never null

    - #### setNodeTypeName

          IndexDefinitionTemplate setNodeTypeName(Name name)

      Set the name of the node type for which this index applies.
      Parameters:
        `name` - the name of the node type for which this index applies; may be null if the property applies to all node types (e.g., `nt:base`).
      Returns:
        this instance for method chaining; never null

    - #### setDescription

          IndexDefinitionTemplate setDescription(String description)

      Set the description for this index.
      Parameters:
        `description` - the description; may be null or empty
      Returns:
        this instance for method chaining; never null

    - #### setColumnDefinitions

          IndexDefinitionTemplate setColumnDefinitions(Iterable<? extends IndexColumnDefinition> columnDefinitions)

      Set the definitions for this index's columns
      Parameters:
        `columnDefinitions` - the definitions for the columns; may not be null or empty
      Returns:
        this instance for method chaining; never null

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.